Bug 1411892 - Api examples in 6.2 docs are broken
Summary: Api examples in 6.2 docs are broken
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs API Guide
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: Stephen Wadeley
QA Contact: Lucie Jirakova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 16:54 UTC by Tomas Strachota
Modified: 2019-09-26 14:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-11 15:09:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
6.2 compatible ruby api example (2.27 KB, application/x-ruby)
2017-01-10 16:54 UTC, Tomas Strachota
no flags Details
6.2 compatible python api example (3.04 KB, text/x-python)
2017-01-10 16:54 UTC, Tomas Strachota
no flags Details

Description Tomas Strachota 2017-01-10 16:54:20 UTC
Created attachment 1239157 [details]
6.2 compatible ruby api example

Document URL: 
https://access.redhat.com/documentation/en/red-hat-satellite/6.2/paged/api-guide/42-api-examples-using-ruby
https://access.redhat.com/documentation/en/red-hat-satellite/6.2/paged/api-guide/43-api-examples-using-python

Section Number and Name: 
4.2. API Examples Using Ruby
4.3. API Examples Using Python

Describe the issue: 
Scripts in both python and ruby fail to fetch id of the created organization.

Additional information: 
The examples were probably copied from 6.1 but the API has changed since then.

Suggestions for improvement: 
Please find the updated version of scripts attached. The current ruby script lacks comments, so I added some descriptions into the version I'm proposing.

Comment 1 Tomas Strachota 2017-01-10 16:54:51 UTC
Created attachment 1239158 [details]
6.2 compatible python api example

Comment 2 Stephen Wadeley 2017-01-11 08:03:02 UTC
Thank you for raising this bug and for the patch.

Comment 14 Stephen Wadeley 2017-01-11 15:09:07 UTC
Hello

These changes are now live on the customer portal.


Thank you.


Note You need to log in before you can comment on or make changes to this bug.